<?php
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/10
 * Time: 11:22
 */

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class Behavior extends Model
{
    protected $table = 'behavior';
    protected $guarded = [];
    /**
     * 可被批量赋值的字段
     * @var array
     */
    protected $fillable = ['virus_behavior_id','name','behavior_level','behavior_cycle_type','behavior_action_id','behavior_cycle','is_open'];

    public function RegisteredRecord()
    {
        return $this->hasMany('App\Models\RegisteredRecord','virus_behavior_id','virus_behavior_id');
    }
}