<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/11
 * Time: 17:50
 */

namespace App\Traits;
use Tymon\JWTAuth\Facades\JWTAuth;

trait UserTrait
{
    public function getUserInfo($uid) {
        try {
            $url = config("customer.manage_service_url").'/user/memberView';
            $array = [
                'json' => ['uid' => $uid], 'query' => [], 'http_errors' => false,'headers'=>['Authorization'=>"Bearer ".JWTAuth::getToken()]
            ];
            return http($url,$array, true, 'get');
        } catch (\Exception $e) {
            return [];
        }

    }
}