<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/10
 * Time: 17:21
 */

namespace App\Transformers\Post;
use App\Models\PostLog;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class LogTransformer extends TransformerAbstract
{
    public function transform(PostLog $postLog)
    {
        return [
            'id' => $postLog['id'],
            'username' => $postLog['username'],
            'log_type' => $postLog['log_type'],
            'created_at' => Carbon::parse($postLog['created_at'])->toDateTimeString(),
            'content' => $postLog['content'],
        ];
    }
}